%global glib2_version 2.58.0
%global gobject_introspection_version 1.61.2
%global gtk3_version 3.20
%global mozjs91_version 91.6.0-1

Name:          gjs
Version:       1.71.1
Release:       1
Summary:       using GNOME libraries from Javascript
License:       MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:           https://wiki.gnome.org/Projects/Gjs
Source0:       https://download.gnome.org/sources/%{name}/1.71/%{name}-%{version}.tar.xz

BuildRequires: cairo-gobject-devel dbus-daemon dbus-glib-devel gcc-c++
BuildRequires: meson cmake gettext pkgconfig readline-devel sysprof-devel
BuildRequires: gtk3-devel >= %{gtk3_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: mozjs91-devel >= %{mozjs91_version}
BuildRequires: gobject-introspection-devel >= %{gobject_introspection_version}

Requires:      gtk3%{?_isa} >= %{gtk3_version}
Requires:      glib2%{?_isa} >= %{glib2_version}
Requires:      mozjs91%{?_isa} >= %{mozjs91_version}
Requires:      gobject-introspection%{?_isa} >= %{gobject_introspection_version}

# Filter provides for private libraries
%global __provides_exclude_from ^%{_libdir}/gjs/

%description
Gjs is a Javascript binding for GNOME. It's mainly based on Spidermonkey javascript
engine and the GObject introspection framework.

%package devel
Summary:      Development files for gjs
Requires:     %{name}%{?_isa} = %{version}-%{release}
Provides:     %{name}-tests = %{version}-%{release}
Obsoletes:    %{name}-tests < %{version}-%{release}

%description devel
Development files for gjs.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%defattr(-,root,root)
%doc NEWS README.md
%license COPYING
%{_bindir}/gjs*
%{_libdir}/*.so.*
%{_libdir}/gjs

%files devel
%defattr(-,root,root)
%doc examples/*
%{_includedir}/gjs-1.0
%{_libdir}/pkgconfig/gjs-1.0.pc
%{_libdir}/*.so
%{_libexecdir}/installed-tests
%{_datadir}/gjs-1.0/lsan/
%{_datadir}/gjs-1.0/valgrind/
%{_datadir}/installed-tests
%{_datadir}/glib-2.0/schemas/org.gnome.GjsTest.gschema.xml

%changelog
* Wed Apr 06 2022 wangkai <wangkai385@huawei.com> - 1.71.1-1
- Update to 1.71.1

* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.66.2-1
- Upgrade to 1.66.2

* Fri Nov 13 2020 chengguipeng <chengguipeng1@huawei.com> - 1.66.1-1
- update to 1.66.1

* Fri Oct 9 2020 jinzhimin <jinzhimin2@huawei.com> - 1.65.4-1
- update to 1.65.4

* Mon Jan 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.54.1-5
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add dbus-daemon in buildrequires

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.54.1-4
- change the path of files

* Wed Sep 11 2019 Lijin Yang <yanglijin@huawei.com> - 1.54.1-3
- Package init
